<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>EscherColorRef (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="EscherColorRef (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EscherColorRef.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/ddf/EscherClientDataRecord.html"
               title="class in org.apache.poi.ddf"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/ddf/EscherColorRef.SysIndexProcedure.html"
               title="enum in org.apache.poi.ddf"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/ddf/EscherColorRef.html" target="_top">Frames</a></li>
        <li><a href="EscherColorRef.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ddf</div>
    <h2 title="Class EscherColorRef" class="title">Class EscherColorRef</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ddf.EscherColorRef</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">EscherColorRef</span>
extends java.lang.Object</pre>
                <div class="block">An OfficeArtCOLORREF structure entry which also handles color extension opid data
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherColorRef.SysIndexProcedure.html"
                                        title="enum in org.apache.poi.ddf">EscherColorRef.SysIndexProcedure</a></span></code>
                                    <div class="block">The following enum specifies values that indicate special
                                        procedural properties that
                                        are used to modify the color components of another color.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherColorRef.SysIndexSource.html"
                                        title="enum in org.apache.poi.ddf">EscherColorRef.SysIndexSource</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherColorRef.html#EscherColorRef-byte:A-int-int-">EscherColorRef</a></span>(byte[]&nbsp;source,
                                    int&nbsp;start,
                                    int&nbsp;len)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherColorRef.html#EscherColorRef-int-">EscherColorRef</a></span>(int&nbsp;colorRef)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherColorRef.html#getPaletteIndex--">getPaletteIndex</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherColorRef.html#getRGB--">getRGB</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherColorRef.html#getSchemeIndex--">getSchemeIndex</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherColorRef.html#getSysIndex--">getSysIndex</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherColorRef.html#getSysIndexInvert--">getSysIndexInvert</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/ddf/EscherColorRef.SysIndexProcedure.html"
                                        title="enum in org.apache.poi.ddf">EscherColorRef.SysIndexProcedure</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherColorRef.html#getSysIndexProcedure--">getSysIndexProcedure</a></span>()</code>
                                    <div class="block">Return the <a
                                            href="../../../../org/apache/poi/ddf/EscherColorRef.SysIndexProcedure.html"
                                            title="enum in org.apache.poi.ddf"><code>EscherColorRef.SysIndexProcedure</code></a>
                                        - for invert flag use <a
                                                href="../../../../org/apache/poi/ddf/EscherColorRef.html#getSysIndexInvert--"><code>getSysIndexInvert()</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/ddf/EscherColorRef.SysIndexSource.html"
                                        title="enum in org.apache.poi.ddf">EscherColorRef.SysIndexSource</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherColorRef.html#getSysIndexSource--">getSysIndexSource</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherColorRef.html#hasPaletteIndexFlag--">hasPaletteIndexFlag</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherColorRef.html#hasPaletteRGBFlag--">hasPaletteRGBFlag</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherColorRef.html#hasSchemeIndexFlag--">hasSchemeIndexFlag</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherColorRef.html#hasSysIndexFlag--">hasSysIndexFlag</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherColorRef.html#hasSystemRGBFlag--">hasSystemRGBFlag</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherColorRef.html#setPaletteIndexFlag-boolean-">setPaletteIndexFlag</a></span>(boolean&nbsp;flag)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherColorRef.html#setPaletteRGBFlag-boolean-">setPaletteRGBFlag</a></span>(boolean&nbsp;flag)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherColorRef.html#setSchemeIndexFlag-boolean-">setSchemeIndexFlag</a></span>(boolean&nbsp;flag)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherColorRef.html#setSysIndexFlag-boolean-">setSysIndexFlag</a></span>(boolean&nbsp;flag)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherColorRef.html#setSystemRGBFlag-boolean-">setSystemRGBFlag</a></span>(boolean&nbsp;flag)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="EscherColorRef-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>EscherColorRef</h4>
                                <pre>public&nbsp;EscherColorRef(int&nbsp;colorRef)</pre>
                            </li>
                        </ul>
                        <a name="EscherColorRef-byte:A-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>EscherColorRef</h4>
                                <pre>public&nbsp;EscherColorRef(byte[]&nbsp;source,
                      int&nbsp;start,
                      int&nbsp;len)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="hasSysIndexFlag--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hasSysIndexFlag</h4>
                                <pre>public&nbsp;boolean&nbsp;hasSysIndexFlag()</pre>
                            </li>
                        </ul>
                        <a name="setSysIndexFlag-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSysIndexFlag</h4>
                                <pre>public&nbsp;void&nbsp;setSysIndexFlag(boolean&nbsp;flag)</pre>
                            </li>
                        </ul>
                        <a name="hasSchemeIndexFlag--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hasSchemeIndexFlag</h4>
                                <pre>public&nbsp;boolean&nbsp;hasSchemeIndexFlag()</pre>
                            </li>
                        </ul>
                        <a name="setSchemeIndexFlag-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSchemeIndexFlag</h4>
                                <pre>public&nbsp;void&nbsp;setSchemeIndexFlag(boolean&nbsp;flag)</pre>
                            </li>
                        </ul>
                        <a name="hasSystemRGBFlag--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hasSystemRGBFlag</h4>
                                <pre>public&nbsp;boolean&nbsp;hasSystemRGBFlag()</pre>
                            </li>
                        </ul>
                        <a name="setSystemRGBFlag-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSystemRGBFlag</h4>
                                <pre>public&nbsp;void&nbsp;setSystemRGBFlag(boolean&nbsp;flag)</pre>
                            </li>
                        </ul>
                        <a name="hasPaletteRGBFlag--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hasPaletteRGBFlag</h4>
                                <pre>public&nbsp;boolean&nbsp;hasPaletteRGBFlag()</pre>
                            </li>
                        </ul>
                        <a name="setPaletteRGBFlag-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPaletteRGBFlag</h4>
                                <pre>public&nbsp;void&nbsp;setPaletteRGBFlag(boolean&nbsp;flag)</pre>
                            </li>
                        </ul>
                        <a name="hasPaletteIndexFlag--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hasPaletteIndexFlag</h4>
                                <pre>public&nbsp;boolean&nbsp;hasPaletteIndexFlag()</pre>
                            </li>
                        </ul>
                        <a name="setPaletteIndexFlag-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPaletteIndexFlag</h4>
                                <pre>public&nbsp;void&nbsp;setPaletteIndexFlag(boolean&nbsp;flag)</pre>
                            </li>
                        </ul>
                        <a name="getRGB--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRGB</h4>
                                <pre>public&nbsp;int[]&nbsp;getRGB()</pre>
                            </li>
                        </ul>
                        <a name="getSysIndexSource--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSysIndexSource</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../org/apache/poi/ddf/EscherColorRef.SysIndexSource.html"
                                        title="enum in org.apache.poi.ddf">EscherColorRef.SysIndexSource</a>&nbsp;getSysIndexSource()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><a href="../../../../org/apache/poi/ddf/EscherColorRef.SysIndexSource.html"
                                           title="enum in org.apache.poi.ddf"><code>EscherColorRef.SysIndexSource</code></a>
                                        if
                                        <a href="../../../../org/apache/poi/ddf/EscherColorRef.html#hasSysIndexFlag--"><code>hasSysIndexFlag()</code></a>
                                        is <code>true</code>, otherwise null
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSysIndexProcedure--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSysIndexProcedure</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../org/apache/poi/ddf/EscherColorRef.SysIndexProcedure.html"
                                        title="enum in org.apache.poi.ddf">EscherColorRef.SysIndexProcedure</a>&nbsp;getSysIndexProcedure()</pre>
                                <div class="block">Return the <a
                                        href="../../../../org/apache/poi/ddf/EscherColorRef.SysIndexProcedure.html"
                                        title="enum in org.apache.poi.ddf"><code>EscherColorRef.SysIndexProcedure</code></a>
                                    - for invert flag use <a
                                            href="../../../../org/apache/poi/ddf/EscherColorRef.html#getSysIndexInvert--"><code>getSysIndexInvert()</code></a>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><a href="../../../../org/apache/poi/ddf/EscherColorRef.SysIndexProcedure.html"
                                           title="enum in org.apache.poi.ddf"><code>EscherColorRef.SysIndexProcedure</code></a>
                                        if
                                        <a href="../../../../org/apache/poi/ddf/EscherColorRef.html#hasSysIndexFlag--"><code>hasSysIndexFlag()</code></a>
                                        is <code>true</code>, otherwise null
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSysIndexInvert--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSysIndexInvert</h4>
                                <pre>public&nbsp;int&nbsp;getSysIndexInvert()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>0 for no invert flag, 1 for <a
                                            href="../../../../org/apache/poi/ddf/EscherColorRef.SysIndexProcedure.html#INVERT_AFTER"><code>EscherColorRef.SysIndexProcedure.INVERT_AFTER</code></a>
                                        and
                                        2 for <a
                                                href="../../../../org/apache/poi/ddf/EscherColorRef.SysIndexProcedure.html#INVERT_HIGHBIT_AFTER"><code>EscherColorRef.SysIndexProcedure.INVERT_HIGHBIT_AFTER</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSchemeIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSchemeIndex</h4>
                                <pre>public&nbsp;int&nbsp;getSchemeIndex()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>index of the scheme color or -1 if <a
                                            href="../../../../org/apache/poi/ddf/EscherColorRef.html#hasSchemeIndexFlag--"><code>hasSchemeIndexFlag()</code></a>
                                        is <code>false</code></dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html#getColor-int-"><code>ColorSchemeAtom.getColor(int)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPaletteIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPaletteIndex</h4>
                                <pre>public&nbsp;int&nbsp;getPaletteIndex()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>index of current palette (color) or -1 if <a
                                            href="../../../../org/apache/poi/ddf/EscherColorRef.html#hasPaletteIndexFlag--"><code>hasPaletteIndexFlag()</code></a>
                                        is <code>false</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSysIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getSysIndex</h4>
                                <pre>public&nbsp;int&nbsp;getSysIndex()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>index of system color table or -1 if <a
                                            href="../../../../org/apache/poi/ddf/EscherColorRef.html#hasSysIndexFlag--"><code>hasSysIndexFlag()</code></a>
                                        is <code>false</code></dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../org/apache/poi/sl/usermodel/PresetColor.html"
                                           title="enum in org.apache.poi.sl.usermodel"><code>PresetColor</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EscherColorRef.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/ddf/EscherClientDataRecord.html"
               title="class in org.apache.poi.ddf"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/ddf/EscherColorRef.SysIndexProcedure.html"
               title="enum in org.apache.poi.ddf"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/ddf/EscherColorRef.html" target="_top">Frames</a></li>
        <li><a href="EscherColorRef.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
